This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### PrintWriter
Examples |
    PrintWriter output;

    void setup() {
      // Create a new file in the sketch directory
      output = createWriter("positions.txt");
    }

    void draw() {
      point(mouseX, mouseY);
      output.println(mouseX);  // Write the coordinate to the file
    }

    void keyPressed() {
      output.flush();  // Writes the remaining data to the file
      output.close();  // Finishes the file
      exit();  // Stops the program
    }
Description | Allows characters to print to a text-output stream. A new PrintWriter object is created with the createWriter() function. For the file to be made correctly, it should be flushed and must be closed with its flush() and close() methods (see above example).
Methods |
print() | Adds data to the stream
println() | Adds data to the stream and starts a new line
flush() | Flushes the stream
close() | Closes the stream
Constructor |
Related | createWriter()

Updated on October 26, 2013 08:58:35pm PDT